极品飞车官网关于Visio Studio 2012使用Nuget获取Sql

日期:2019-09-06编辑作者:极品飞车官网

背景

极品飞车官网关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容。极品飞车官网关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容。笔者的VS2012版本比较老旧,是几年以前下载的。平时添加三方包和驱动包都是手动添加。后来了解到有Nuget这个工具,如获至宝。可是在使用过程中却出了不少问题。

最初,笔者尝试使用Nuget添加Mongodb相关依赖包,结果提示依赖包与Nuget版本不兼容。因为已经有了手动下载好的包,所以就没在意,手动添加了依赖包。

最近,再次使用Nuget添加sqlite包,发现还是存在兼容性问题。于是笔者本着造福小组的思想,尝试解决这个问题。

极品飞车官网关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容。 

极品飞车官网关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容。极品飞车官网关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容。场景描述

使用VS2012自带Nuget安装System.Data.Sqlite依赖包,解析、下载以及安装前半部分均没有问题,在安装最后的System.Data.SQLite.EF6时出现兼容性问题。

 

问题描述

“System.Data.SQLite.EF6”的架构版本与 NuGet 的版本 2.0.30625.9003 不兼容,请尝试到Nuget官网升级最新版Nuget。

 

解决方案

VS2012给的建议是升级Nuget,但是笔者考虑到自己的VS版本太旧,指不定哪天再冒出什么问题,索性给VS来一次升级。

点击工具栏  工具->扩展和更新->更新,更新VS。

经过漫长的等待,终于升级完成,再次安装依赖包,成功。

读者可以选择更加轻量的方式,仅升级Nuget。

 

参考

本文由云顶国际登录官网发布于极品飞车官网,转载请注明出处:极品飞车官网关于Visio Studio 2012使用Nuget获取Sql

关键词:

扎实基础之从零开始-Nginx集群分布式.NET应用

1       扎实基础之连忙学习Nginx Nginx是一款轻量级的Web服务器/反向代理服务器及电子邮件(IMAP/POP3)代理服务器,...

详细>>

毕业后准备考研的你,需要知道几件事?

结业后的您,若无选拔专业,而是希图考研,有几件事也许你必要精晓,并且注意? 1.个人档案的去留,一般完成学...

详细>>

极品飞车官网步骤及遇到的问题——使用ef6创建

解决方案中的数据层项目最初使用的是oracle 11g + ef5创建的实体模型,在分页时遇到了skip参数为0报错的问题,没有找...

详细>>

安猫钱包怎么使用?

安猫钱包怎么使用?。安猫钱包怎么使用?。安猫钱包怎么使用?。安猫钱包怎么使用?。问题: 安猫数字钱袋怎么...

详细>>